<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Info
 * @package Pinpoint\V12Finance\Block
 */

namespace Pinpoint\V12Finance\Block;

class Info extends \Magento\Payment\Block\Info
{
    /**
     * template
     * @var string
     */
    protected $_template = 'Pinpoint_V12Finance::info.phtml';

    /**
     * On admin order view, payment block, list V12 related data
     * @return array
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getFinanceDetails()
    {
        $details = $this->getInfo()->getAdditionalInformation();

        return [
            'status' => (!empty($details['v12finance_application_status'])) ? $details['v12finance_application_status'] : '',
            'code' => (!empty($details['V12AuthCode'])) ? $details['V12AuthCode'] : '',
            'appid' => (!empty($details['V12ApplicationId'])) ? $details['V12ApplicationId'] : '',
            'deposit' => (!empty($details['v12finance_deposit_amount'])) ? $details['v12finance_deposit_amount'] : '',
            'title' => (!empty($details['v12finance_product_title'])) ? $details['v12finance_product_title'] : '',
            'sales_reference' => (!empty($details['SalesReference'])) ? $details['SalesReference'] : ''
        ];
    }
}
