<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class DepositOption
 * @package Pinpoint\V12Finance\Model\Adminhtml\System\Config\Source
 */

namespace Pinpoint\V12Finance\Model\Adminhtml\System\Config\Source;


class DepositOption implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * @var Array
     */
    public $arr = [
        "0"  => "0%",
        "10" => "10%",
        "20" => "20%",
        "30" => "30%",
        "40" => "40%",
        "50" => "50%",
        "60" => "60%",
        "70" => "70%",
        "80" => "80%",
        "90" => "90%",
    ];

    public function toOptionArray()
    {
        $ret = [];
        foreach ($this->arr as $key => $value) {
            $ret[] = [
                'value' => $key,
                'label' => $value
            ];
        }
        return $ret;
    }

    public function getOriginalOption()
    {
        return $this->arr;
    }

}
