<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class OrderLine
 * @package Pinpoint\V12Finance\Model\Rest\Api
 */

namespace Pinpoint\V12Finance\Model\Rest\Api;

class OrderLine extends ApiAbstract
{

    /**
     * @param $item
     * @return array
     */
    public function fromMageOrderItem($item)
    {
        $data = [
            "Qty"       => $item->getQtyOrdered(),
            "SKU"       => $item->getSku(),
            "Item"      => $item->getName(),
            "Price"     => $this->_helper->formatPrice($item->getBaseRowTotalInclTax() / $item->getQtyOrdered()),
        ];

        return $data;
    }
}
