<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Order
 * @package Pinpoint\V12Finance\Model\Sales
 */

namespace Pinpoint\V12Finance\Model\Sales;

use Pinpoint\V12Finance\Model\Payment;

class Order extends \Magento\Sales\Model\Order
{
    /**
     * Cancel order
     *
     * @return \Magento\Sales\Model\Order
     * @throws \Exception
     */
    public function cancel()
    {
        if ($this->getPayment()->getMethod() === \Pinpoint\V12Finance\Model\Payment\Method\V12Finance::CODE) {
            try {
                // Send API Update request
                $method = $this->getPayment()->getMethodInstance();

                //@todo cancel order
                //$method->doUpdateApplicationRequest($this, Payment::APPLICATION_UPDATE_TYPE_CANCEL);
            } catch (Exception $e) {
                //Mage::getSingleton('adminhtml/session')->getMessages(true);
                throw new \Exception("Order not cancelled. " . $e->getMessage());
            }
        }

        return parent::cancel();
    }
}
