<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Mindeposit
 * @package Pinpoint\V12Finance\Model\System\Config\Backend
 */

namespace Pinpoint\V12Finance\Model\System\Config\Backend;

class Mindeposit extends \Magento\Framework\App\Config\Value
{

    /**
     * @return \Magento\Framework\App\Config\Value
     * @throws \Magento\Framework\Exception\ValidatorException
     */
    public function beforeSave()
    {
        $mindeposit = $this->getValue();
        $mindepositclean = preg_replace('#[^0-9]#', '', $mindeposit);

        if (!preg_match('/^\d{1,2}$/', $mindeposit) || $mindepositclean < 0) {
            throw new \Magento\Framework\Exception\ValidatorException(
                __('Invalid minimum deposit percentage value.')
            );
        }

        $this->setValue(intval($mindeposit));

        return parent::beforeSave();
    }
}
