define([
    'Pinpoint_V12Finance/js/view/payment/v12-form',
    'Magento_Checkout/js/action/redirect-on-success',
    'mage/url',
    'Magento_Checkout/js/model/quote',
    'Magento_Catalog/js/price-utils',
    'jquery'
], function (Component, redirectOnSuccessAction, url, quote, priceUtils, $) {
    'use strict';
    return Component.extend({
        defaults: {
            template: 'Pinpoint_V12Finance/payment/payment'
        },

        /* gets this from v12 form js? */
        getCode: function() {
            return window.checkoutConfig.payment.v12form.code;
        },

        isActive: function() {
            return true;
        },

        validate: function() {
            var $form = $('#' + this.getCode() + '-form');
            return $form.validation() && $form.validation('isValid');
        },

        afterPlaceOrder: function () {
            redirectOnSuccessAction.redirectUrl = url.build('v12finance/v12redirect/');
            this.redirectAfterPlaceOrder = true;
        }
    });
});
